%define		own	asterisk
%define		grp	asterisk
%define		sown	root
%define		sgrp	root
%define		rawname	parking

Name:		freepbx-%{rawname}
Version:	16.0.4
Release:	1%{?dist}
Summary:	Parking Lot

License:	See Freepbx Readme
Source0:	https://mirror.freepbx.org/modules/packages/%{rawname}/%{rawname}-%{version}.tgz

Requires:	freepbx-core >= 13.0.114
Requires:	freepbx >= 13.0.121
Requires:	freepbx-callrecording >= 12.0.1

Provides:	freepbx-%{rawname} = %{version}-%{release}

BuildArch:	noarch

%description
Manages parking lot extensions and other options. Parking is a way of putting calls "on hold", and then picking them
        up from any extension.

%prep
%setup -q -n %{rawname}

# Controlliamo la eventuale presenza di particolarita' da gestire
for ddd in bin sbin etc astetc images sounds moh hooks ; do
	[ -e $ddd ] && echo presente $ddd, va gestito && exit 1
done

# Non mi va di lanciare gpg a destra e a manca, solo per venire a sapere che ho modificato i moduli
%{__rm} module.sig

# Delete backup files
find . -name '*.orig' -exec rm '{}' ';'
find . -name '.git*' -exec rm -rf '{}' ';'

# fix dir perms
find . -type d -exec chmod 755 '{}' ';'
find . -type f -exec chmod 644 '{}' ';'
#find . -type f -regex '.*\.\(php\|html\)$' -exec chmod 644 '{}' ';'

%install
%{__install} -d %{buildroot}%{_datadir}/asterisk/agi-bin
%{__install} -m0755 agi-bin/* %{buildroot}%{_datadir}/asterisk/agi-bin

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/assets
%{__ln_s} %{_datadir}/freepbx/admin/modules/%{rawname}/assets %{buildroot}%{_datadir}/freepbx/admin/assets/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}
%{__cp} -aR `ls | egrep -v '^(agi-bin|bin|etc|sounds|moh|images|LICENSE|README.md)'` %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc README.md
%defattr(0644,%{sown},%{sgrp},0755)

%attr(0755,%{sown},%{sgrp}) %{_datadir}/asterisk/agi-bin/*
%{_datadir}/freepbx/admin/assets/*
%{_datadir}/freepbx/admin/modules/%{rawname}

%changelog
* Wed Jun 01 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.4
- Updated version

* Wed Jan 19 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.2
- Initial build
